IRPCScheduledJobsAdmin.ModifyScheduledJob

View as Markdown

Administration API / specialized admin session idempotent

Replaces the definition of an existing scheduled job.

ServiceScheduled jobs MFiles.IRPCScheduledJobsAdmin
gRPC method/MFiles.IRPCScheduledJobsAdmin/ModifyScheduledJob
HTTP (mf-http-grpc)POST /grpc/v1/modify-scheduled-job
RequestModifyScheduledJobRequest
ResponseModifyScheduledJobResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: ModifyScheduledJobRequest

A structure that specifies the response type for the corresponding method.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
scheduled_jobScheduledJobThe complete new definition of the job, with its id.
scheduled_job.idint32Job ID.
scheduled_job.namestringJob name.
scheduled_job.is_enabledboolIf true, the job is enabled (runs according to the specified schedule).
scheduled_job.schedulebytesThe schedule of this job (a serialized Task object of Task Scheduler).
scheduled_job.typeJobTypeJob type.Values: JOB_TYPE_UNINITIALIZED (0), JOB_TYPE_BACKUP (1), JOB_TYPE_RESTORE (2), JOB_TYPE_COPY_VAULT (3), JOB_TYPE_VERIFY_VAULT (4), JOB_TYPE_ARCHIVE_OBJECTS (5), JOB_TYPE_ARCHIVE_OLD_VERSIONS (6), JOB_TYPE_RESTORE_FROM_ARCHIVE (7), JOB_TYPE_OPTIMIZE_VAULT (8), JOB_TYPE_RECALCULATE_PROPERTY (9), JOB_TYPE_MIGRATE_VAULT (10), JOB_TYPE_ENCRYPT_FILE_DATA (11).
scheduled_job.dataJobDataUnionThe job details as a union.
scheduled_job.data.backupBackupJob (oneof data)Backup job.
scheduled_job.data.restoreRestoreJob (oneof data)Restore job.
scheduled_job.data.copy_vaultCopyVaultJob (oneof data)Vault copying job.
scheduled_job.data.verify_vaultVerifyVaultJob (oneof data)Vault verifying job.
scheduled_job.data.archive_objectsArchiveDocsJob (oneof data)Archiving documents job.
scheduled_job.data.archive_old_versionsArchiveOldVersionsJob (oneof data)Archiving old document versions job.
scheduled_job.data.restore_from_archiveRestoreFromArchiveJob (oneof data)Restoring documents from archive job.
scheduled_job.data.optimize_vaultOptimizeVaultJob (oneof data)Optimize the vault.
scheduled_job.data.recalculate_propertyRecalculateJob (oneof data)Recalculate a property.
scheduled_job.data.migrate_vaultMigrateVaultJob (oneof data)Vault migration job.
scheduled_job.data.encrypt_file_dataEncryptFileDataJob (oneof data)Vault file data encryption job.
scheduled_job.is_temporaryboolTrue if the job is temporary and thus executed only once. Temporary jobs are not scheduled so their run info should not be interpreted.

Response: ModifyScheduledJobResponse

A structure that specifies the response type for the corresponding method.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
run_infoScheduledJobRunInfoThe run state of the job after the change.
run_info.is_runningboolTrue if the job is currently running.
run_info.next_run_utcgoogle.protobuf.TimestampThe next time the job will run. Zero to indicate no next run time.
run_info.last_run_utcgoogle.protobuf.TimestampThe last time the job ran. Zero to indicate that the job has never run (or is still running for the first time).
run_info.last_run_succeededboolTrue if the last run at ftLastRun was successful, false otherwise.
run_info.last_run_errorsstringError string from the last run (if any).
run_info.last_run_cancelledboolTrue if the job is cancelled.
run_info.current_stepint32-1 or a current job step. 0 indicates the beginning. When positive, value depends on the underlying job that is being executed. Steps are numbered sequentially from 1 to forward.
run_info.curent_step_completionint32-1 or the completion percent of a current job. This is always an estimate.
run_info.outputScheduledJobOutputInfoThe output information on the job. Available only when the job is not running (e.g. bRunning and is false).
run_info.output.idint32Job ID.
run_info.output.messagestringGeneral output info message.
run_info.output.typeJobTypeJob type.Values: JOB_TYPE_UNINITIALIZED (0), JOB_TYPE_BACKUP (1), JOB_TYPE_RESTORE (2), JOB_TYPE_COPY_VAULT (3), JOB_TYPE_VERIFY_VAULT (4), JOB_TYPE_ARCHIVE_OBJECTS (5), JOB_TYPE_ARCHIVE_OLD_VERSIONS (6), JOB_TYPE_RESTORE_FROM_ARCHIVE (7), JOB_TYPE_OPTIMIZE_VAULT (8), JOB_TYPE_RECALCULATE_PROPERTY (9), JOB_TYPE_MIGRATE_VAULT (10), JOB_TYPE_ENCRYPT_FILE_DATA (11).
run_info.output.dataJobOutputInfoDataUnionThe job output info details as a union.